Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang.mutable
Class MutableShort

    java.lang.Object
      java.lang.Number
          org.apache.commons.lang.mutable.MutableShort

All Implemented Interfaces:
  java.lang.Comparable, Mutable, java.io.Serializable

public class MutableShort
extends java.lang.Number
implements java.lang.Comparable, Mutable

A mutable `short` wrapper.

Since:
  2.1
Version:
  $Id: MutableShort.java 618693 2008-02-05 16:33:29Z sebb $
See Also:
  `Short`, Serialized Form

Constructor Summary
`MutableShort()` Constructs a new MutableShort with the default value of zero.
`MutableShort(java.lang.Number value)` Constructs a new MutableShort with the specified value.
`MutableShort(short value)` Constructs a new MutableShort with the specified value.

Method Summary
`void` | `add(java.lang.Number operand)` Adds a value.
`void` | `add(short operand)` Adds a value.
`int` | `compareTo(java.lang.Object obj)` Compares this mutable to another in ascending order.
`void` | `decrement()` Decrements the value.
`double` | `doubleValue()` Returns the value of this MutableShort as a double.
`boolean` | `equals(java.lang.Object obj)` Compares this object against the specified object.
`float` | `floatValue()` Returns the value of this MutableShort as a float.
`java.lang.Object` | `getValue()` Gets the value as a Short instance.
`int` | `hashCode()` Returns a suitable hashcode for this mutable.
`void` | `increment()` Increments the value.
`int` | `intValue()` Returns the value of this MutableShort as a int.
`long` | `longValue()` Returns the value of this MutableShort as a long.
`void` | `setValue(java.lang.Object value)` Sets the value from any Number instance.
`void` | `setValue(short value)` Sets the value.
`short` | `shortValue()` Returns the value of this MutableShort as a short.
`void` | `subtract(java.lang.Number operand)` Subtracts a value.
`void` | `subtract(short operand)` Subtracts a value.
`java.lang.Short` | `toShort()` Gets this mutable as an instance of Short.
`java.lang.String` | `toString()` Returns the String value of this mutable.

Methods inherited from class java.lang.Number
`byteValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableShort

    public MutableShort()

  Constructs a new MutableShort with the default value of zero.

### MutableShort

    public MutableShort(short value)

  Constructs a new MutableShort with the specified value.

Parameters:
  `value` - a value.

### MutableShort

    public MutableShort(java.lang.Number value)

  Constructs a new MutableShort with the specified value.

Parameters:
  `value` - a value.
Throws:
  `java.lang.NullPointerException` - if the object is null

Method Detail

### getValue

    public java.lang.Object getValue()

  Gets the value as a Short instance.

  Specified by:
    `getValue` in interface `Mutable`
  Returns:
    the value as a Short

### setValue

    public void setValue(short value)

  Sets the value.

  Parameters:
    `value` - the value to set

### setValue

    public void setValue(java.lang.Object value)

  Sets the value from any Number instance.

  Specified by:
    `setValue` in interface `Mutable`
  Parameters:
    `value` - the value to set
  Throws:
    `java.lang.NullPointerException` - if the object is null
    `java.lang.ClassCastException` - if the type is not a `Number`

### increment

    public void increment()

  Increments the value.

  Since:
    Commons Lang 2.2

### decrement

    public void decrement()

  Decrements the value.

  Since:
    Commons Lang 2.2

### add

    public void add(short operand)

  Adds a value.

  Parameters:
    `operand` - the value to add
  Since:
    Commons Lang 2.2

### add

    public void add(java.lang.Number operand)

  Adds a value.

  Parameters:
    `operand` - the value to add
  Throws:
    `java.lang.NullPointerException` - if the object is null
  Since:
    Commons Lang 2.2

### subtract

    public void subtract(short operand)

  Subtracts a value.

  Parameters:
    `operand` - the value to add
  Since:
    Commons Lang 2.2

### subtract

    public void subtract(java.lang.Number operand)

  Subtracts a value.

  Parameters:
    `operand` - the value to add
  Throws:
    `java.lang.NullPointerException` - if the object is null
  Since:
    Commons Lang 2.2

### shortValue

    public short shortValue()

  Returns the value of this MutableShort as a short.

  Returns:
    the numeric value represented by this object after conversion to type short.

### intValue

    public int intValue()

  Returns the value of this MutableShort as a int.

  Returns:
    the numeric value represented by this object after conversion to type int.

### longValue

    public long longValue()

  Returns the value of this MutableShort as a long.

  Returns:
    the numeric value represented by this object after conversion to type long.

### floatValue

    public float floatValue()

  Returns the value of this MutableShort as a float.

  Returns:
    the numeric value represented by this object after conversion to type float.

### doubleValue

    public double doubleValue()

  Returns the value of this MutableShort as a double.

  Returns:
    the numeric value represented by this object after conversion to type double.

### toShort

    public java.lang.Short toShort()

  Gets this mutable as an instance of Short.

  Returns:
    a Short instance containing the value from this mutable

### equals

    public boolean equals(java.lang.Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `MutableShort` object that contains the same `short` value as this object.

  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a suitable hashcode for this mutable.

  Returns:
    a suitable hashcode

### compareTo

    public int compareTo(java.lang.Object obj)

  Compares this mutable to another in ascending order.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `obj` - the mutable to compare to
  Returns:
    negative if this is less, zero if equal, positive if greater
  Throws:
    `java.lang.ClassCastException` - if the argument is not a MutableShort

### toString

    public java.lang.String toString()

  Returns the String value of this mutable.

  Returns:
    the mutable value as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.